Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures.drag
Class DragStartEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.ui.mouse.gestures.SyntheticMouseGestureEvent<DragStartHandler,MouseDownEvent>
                      com.maryanovsky.gwtutils.client.ui.mouse.gestures.drag.DragStartEvent

    public class DragStartEvent

extends SyntheticMouseGestureEvent<DragStartHandler,MouseDownEvent>

Represents a mouse drag start event. Note that until a drag-move event occurs a mouse-drag may be cancelled (such as when the user was in fact just clicking).

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`DragStartEvent(MouseDownEvent evt, int button, PointView location)` Creates a new `DragStartEvent` from the specified source `MouseDownEvent` and the specified mouse location.

Method Summary
`protected void` | `dispatch(DragStartHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<DragStartHandler>` | `getAssociatedType()` Returns the event type associated with drag start events.
`int` | `getButton()` Returns the button that was clicked.
`PointView` | `getLocation()` Returns the location of the mouse, in the target element's coordinate system.
`static GwtEvent.Type<DragStartHandler>` | `getType()` Returns the event type associated with drag start events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragStartEvent

    public DragStartEvent(MouseDownEvent evt,
                          int button,
                          PointView location)

  Creates a new `DragStartEvent` from the specified source `MouseDownEvent` and the specified mouse location.

  Parameters:
    `evt` - The mouse down event that triggered this event.
    `button` - The pressed mouse button.
    `location` - The location of the mouse in the target element's coordinate system.

Method Detail

### getButton

    public int getButton()

  Returns the button that was clicked. Possible values are `NativeEvent.BUTTON_LEFT`, `NativeEvent.BUTTON_MIDDLE` and `NativeEvent.BUTTON_RIGHT`.

### getLocation

    public PointView getLocation()

  Returns the location of the mouse, in the target element's coordinate system.

### getType

    public static GwtEvent.Type<DragStartHandler> getType()

  Returns the event type associated with drag start events.

### getAssociatedType

    public GwtEvent.Type<DragStartHandler> getAssociatedType()

  Returns the event type associated with drag start events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<DragStartHandler>`

### dispatch

    protected void dispatch(DragStartHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<DragStartHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD